
------------------------------------------------------------------------
--
-- AbsorbsMonitor
--
-- Copyright (C) 2010  Philipp Schmidt
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to:
--
-- Free Software Foundation, Inc.,
-- 51 Franklin Street, Fifth Floor,
-- Boston, MA  02110-1301, USA.
--
--
------------------------------------------------------------------------


local AbsorbsMonitor = _G.AbsorbsMonitor;

local locale = GetLocale();


if(locale == "deDE") then
	local mage_FireWard = "Feuerzauberschutz";
	local mage_FrostWard = "Frostzauberschutz";
	local mage_IceBarrier = "Eisbarriere";
	local mage_ManaShield = "Manaschild";
	local priest_PWS = "Machtwort: Schild";
	local warlock_Sacrifice = "Opferung";
	local warlock_ShadowWard = "Schattenzauberschutz";
	
	AbsorbsMonitor.EffectNames = {
		[0] = "Unbekannter Zauber",
		
		[48707] = "Antimagische Hülle",
		[50461] = "Antimagisches Feld",
		[49189] = "Wille der Nekropole",
		
		[62606] = "Wilde Verteidigung",
		
		[543] = mage_FireWard,
		[8457] = mage_FireWard,
		[8458] = mage_FireWard,
		[10223] = mage_FireWard,
		[10225] = mage_FireWard,
		[27218] = mage_FireWard,
		[43010] = mage_FireWard,
		[6143] = mage_FrostWard,
		[8461] = mage_FrostWard,
		[8462] = mage_FrostWard,
		[10177] = mage_FrostWard,
		[28609] = mage_FrostWard,
		[32796] = mage_FrostWard,
		[43012] = mage_FrostWard,
		[11426] = mage_IceBarrier,
		[13031] = mage_IceBarrier,
		[13032] = mage_IceBarrier,
		[13033] = mage_IceBarrier,
		[27134] = mage_IceBarrier,
		[33405] = mage_IceBarrier,
		[43038] = mage_IceBarrier,
		[43039] = mage_IceBarrier,			
		[1463] = mage_ManaShield,
		[8494] = mage_ManaShield,
		[8495] = mage_ManaShield,
		[10191] = mage_ManaShield,
		[10192] = mage_ManaShield,
		[10193] = mage_ManaShield,
		[27131] = mage_ManaShield,
		[43019] = mage_ManaShield,
		[43020] = mage_ManaShield,	
		
		[58597] = "Geheiligter Schild",
		
		[17] 	= priest_PWS,
		[592]	= priest_PWS,
		[600] 	= priest_PWS,
		[3747] 	= priest_PWS,
		[6065] 	= priest_PWS,
		[10898] = priest_PWS,
		[10899] = priest_PWS,
		[10900] = priest_PWS,
		[10901] = priest_PWS,
		[25217] = priest_PWS,
		[25218] = priest_PWS,
		[48065] = priest_PWS,
		[48066] = priest_PWS,
		[47753] = "Göttliche Aegis",	
		
		[7812] = warlock_Sacrifice,
		[19438] = warlock_Sacrifice,
		[19440] = warlock_Sacrifice,
		[19441] = warlock_Sacrifice,
		[19442] = warlock_Sacrifice,
		[19443] = warlock_Sacrifice,
		[27273] = warlock_Sacrifice,
		[47985] = warlock_Sacrifice,
		[47986] = warlock_Sacrifice,
		[6229] = warlock_ShadowWard,
		[11739] = warlock_ShadowWard,
		[11740] = warlock_ShadowWard,
		[28610] = warlock_ShadowWard,
		[47890] = warlock_ShadowWard,
		[47891] = warlock_ShadowWard,
		
		[64413] = "Schutz der uralten Könige",
		[60218] = "Samtige Essenz",
		[71586] = "Gehärtete Haut",
		[36481] = "Arkanbarriere",
		[57350] = "Illusionäre Barriere",
		[17252] = "Mal des Drachenlords",
		[29506] = "Panzer des Wühlers",
		[23506] = "Körperlicher Schutz",
		[39228] = "Argusischer Kompass",
		[31771] = "Hülle der Abschreckung",
		[9800] = "Heiliger Schild",
		[13234] = "Unglücksverhinderungsgürtel",
		[30458] = "Fast perfekte Unverwundbarkeit",
		[27779] = "Göttlicher Schutz",
		[28810] = "Rüstung des Glaubens",	
		[29674] = "Geringe Abschirmung",
		[29719] = "Große Abschirmng",
	};
	
else
	local mage_FireWard = "Fire Ward";
	local mage_FrostWard = "Frost Ward";
	local mage_IceBarrier = "Ice Barrier";
	local mage_ManaShield = "Mana Shield";
	local priest_PWS = "Power Word: Shield";
	local warlock_Sacrifice = "Sacrifice";
	local warlock_ShadowWard = "Shadow Ward";
	
	AbsorbsMonitor.EffectNames = {
		[0] = "Unknown Spell",
	
		[48707] = "Anti-Magic Shell",
		[50461] = "Anti-Magic Zone",
		[49189] = "Will of the Necropolis",
		
		[62606] = "Savage Defense",				
	
		[543] = mage_FireWard,
		[8457] = mage_FireWard,
		[8458] = mage_FireWard,
		[10223] = mage_FireWard,
		[10225] = mage_FireWard,
		[27218] = mage_FireWard,
		[43010] = mage_FireWard,
		[6143] = mage_FrostWard,
		[8461] = mage_FrostWard,
		[8462] = mage_FrostWard,
		[10177] = mage_FrostWard,
		[28609] = mage_FrostWard,
		[32796] = mage_FrostWard,
		[43012] = mage_FrostWard,
		[11426] = mage_IceBarrier,
		[13031] = mage_IceBarrier,
		[13032] = mage_IceBarrier,
		[13033] = mage_IceBarrier,
		[27134] = mage_IceBarrier,
		[33405] = mage_IceBarrier,
		[43038] = mage_IceBarrier,
		[43039] = mage_IceBarrier,			
		[1463] = mage_ManaShield,
		[8494] = mage_ManaShield,
		[8495] = mage_ManaShield,
		[10191] = mage_ManaShield,
		[10192] = mage_ManaShield,
		[10193] = mage_ManaShield,
		[27131] = mage_ManaShield,
		[43019] = mage_ManaShield,
		[43020] = mage_ManaShield,	
		
		[58597] = "Sacred Shield",
		
		[17] 	= priest_PWS,
		[592]	= priest_PWS,
		[600] 	= priest_PWS,
		[3747] 	= priest_PWS,
		[6065] 	= priest_PWS,
		[10898] = priest_PWS,
		[10899] = priest_PWS,
		[10900] = priest_PWS,
		[10901] = priest_PWS,
		[25217] = priest_PWS,
		[25218] = priest_PWS,
		[48065] = priest_PWS,
		[48066] = priest_PWS,
		[47753] = "Divine Aegis",
	
		[7812] = warlock_Sacrifice,
		[19438] = warlock_Sacrifice,
		[19440] = warlock_Sacrifice,
		[19441] = warlock_Sacrifice,
		[19442] = warlock_Sacrifice,
		[19443] = warlock_Sacrifice,
		[27273] = warlock_Sacrifice,
		[47985] = warlock_Sacrifice,
		[47986] = warlock_Sacrifice,
		[6229] = warlock_ShadowWard,
		[11739] = warlock_ShadowWard,
		[11740] = warlock_ShadowWard,
		[28610] = warlock_ShadowWard,
		[47890] = warlock_ShadowWard,
		[47891] = warlock_ShadowWard,
		
		[64413] = "Protection of Ancient Kings",
		[60218] = "Essence of Gossamer",
		[71586] = "Hardened Skin",
		[36481] = "Arcane Barrier",
		[57350] = "Illusionary Barrier",
		[17252] = "Mark of the Dragon Lord",
		[29506] = "The Burrower's Shell",
		[23506] = "Aura of Protection",
		[39228] = "Argussian Compass",
		[31771] = "Shell of Deterrence",
		[9800] = "Holy Shield",
		[13234] = "Harm Prevention Belt",
		[30458] = "Nigh Invulnerability",
		[27779] = "Divine Protection",
		[28810] = "Armor of Faith",	
		[29674] = "Lesser Shielding",
		[29719] = "Greater Shielding",
	};
end
